extends KinematicBody2D

const UP = Vector2(0, -1)
var velocity = Vector2()

var run_speed = 100
var jump_speed = -300
var gravity = 9.8

func _ready():
	pass

func _physics_process(delta):
	velocity.y += gravity
	
	get_input()
	
	velocity = move_and_slide(velocity, UP)
	
func get_input():
	var right = Input.is_action_pressed("ui_right")
	var left = Input.is_action_pressed("ui_left")
	var jump = Input.is_action_just_pressed("jump")
	
	# Movement occurs at all states
	velocity.x = 0
	
	if right:
		velocity.x += run_speed

	if left:
		velocity.x -= run_speed
	
	if jump and is_on_floor():
		velocity.y = jump_speed